Name: usbutils
Version: 006
%define base_release .3
Release: 4%{?dist}%{?base_release}
Source:	%{name}-%{version}.tar.gz
Source999: fivextra.tar.bz2
URL: http://www.linux-usb.org/
License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch104140: bug-104140-fixed-null-pointer-core-dump.patch

Requires: hwdata
BuildRequires: autoconf, libtool, libusb-devel >= 0.1.8, libusb1-devel
Summary: Linux USB utilities
Group: Applications/System
Conflicts: hotplug < 3:2002_01_14-2

#Path to usb.ids in lsusb.py should be with /hwdata/
Patch0: usbutils-006-hwdata.patch
Patch1: usbutils-006-lsub-t_loop.patch

%description
This package contains utilities for inspecting devices connected to a
USB bus.

%package fivextra
Summary: Test for %{name} package
Group: fivextra
Prefix: /opt/fiv/ltp

%description fivextra
This package contains testcases for %{name}

%prep
%setup -q -n %{name}-%{version} -a 999
%patch0 -p1
%patch1 -p1
%patch104140 -p1
./autogen.sh

%build
%configure --sbindir=%{_sbindir} --datadir=%{_datadir}/hwdata --disable-usbids
make %{?_smp_mflags}

pushd fivextra
make all
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# Steps to package the usbutils tests for FIV
for dir in `cd fivextra; find . -type d -not -name CVS`
do
  install -d $RPM_BUILD_ROOT/%{fivdir}/%{name}/$dir
  install -m 755 `find fivextra/$dir/* -type d -prune -o -print` $RPM_BUILD_ROOT/%{fivdir}/%{name}/$dir
done

install -d $RPM_BUILD_ROOT/%{prefix}/testcases/bin
pushd $RPM_BUILD_ROOT/%{fivdir}/%{name}
make install
popd

%files
%defattr(-,root,root,-)
%{_mandir}/*/*
%{_bindir}/*
%{_datadir}/pkgconfig/usbutils.pc
%doc AUTHORS COPYING ChangeLog NEWS README

%files fivextra
%{prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jun 03 2013 baseuser@ibm.com
- Base-8.x spec file
